<?xml version="1.0" encoding="UTF-8"?>
<ts:ts xmlns:ts="http://www.unamur.be/xml/ts/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<ts:start>Init</ts:start>
	<ts:states>
		<ts:state id="Init">
			<ts:transition action="insert_card" target="Card_in" />
		</ts:state>
		<ts:state id="Card_in">
			<ts:transition action="initSchema" target="state3" />
		</ts:state>
		<ts:state id="state3">
			<ts:transition action="init_schema" target="App_init" />
			<ts:transition action="abort" target="Aborted" />
		</ts:state>
		<ts:state id="App_init">
			<ts:transition action="check_signature" target="CH_verified" />
			<ts:transition action="check_PIN_online" target="CH_verified" />
			<ts:transition action="check_PIN_offline" target="CH_verified" />
		</ts:state>
		<ts:state id="Aborted">
			<ts:transition action="remove_card" target="Init" />
		</ts:state>
		<ts:state id="CH_verified">
			<ts:transition action="no_go" target="NO_GO" />
			<ts:transition action="go_online" target="Go_online" />
			<ts:transition action="go_offline" target="Go_offline" />
		</ts:state>
		<ts:state id="NO_GO">
			<ts:transition action="abort" target="Aborted" />
		</ts:state>
		<ts:state id="Go_online">
			<ts:transition action="ask_issuer" target="Issuer_responded" />
		</ts:state>
		<ts:state id="Issuer_responded">
			<ts:transition action="issuer_accepts" target="Completed" />
			<ts:transition action="issuer_rejects" target="Aborted" />
		</ts:state>
		<ts:state id="Completed">
			<ts:transition action="remove_card" target="Init" />
		</ts:state>
		<ts:state id="Go_offline">
			<ts:transition action="accepts" target="Completed" />
		</ts:state>
	</ts:states>
</ts:ts>
